﻿using System;
using System.Collections.Generic;
using System.Text;
using IDAL;
using Model;

namespace BLL
{
    public class Contact
    {
        private static readonly IContact dal =
            DALFactory.DataAccess.CreateContact();

        public IList<ContactInfo> GetContacts()
        {
            return dal.GetContacts();
        }

        public ContactInfo GetContact(
                  string contactId)
        {
            if (string.IsNullOrEmpty(contactId))
                return null;
            return dal.GetContact(contactId);
        }
    }
}
