﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.Reflection;

namespace DALFactory
{
    public sealed class DataAccess
    {

        private static readonly string path =
            ConfigurationManager.AppSettings["WebDAL"];

        private DataAccess() { }

        public static IDAL.IContact CreateContact()
        {
            string className = path + ".Contact";
            return (IDAL.IContact)Assembly.
                Load(path).CreateInstance(className);
        }
    }
}
